Create contact
curl --request POST \
--url https://www.carstoragesoftware.com/api/v1/contacts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"firstName": "<string>",
"lastName": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"roleDescription": "<string>",
"isPrimary": true,
"canAccessPortal": true
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
customerId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
firstName: '<string>',
lastName: '<string>',
email: 'jsmith@example.com',
phone: '<string>',
roleDescription: '<string>',
isPrimary: true,
canAccessPortal: true
})
};
fetch('https://www.carstoragesoftware.com/api/v1/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.carstoragesoftware.com/api/v1/contacts"
payload = {
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"firstName": "<string>",
"lastName": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"roleDescription": "<string>",
"isPrimary": True,
"canAccessPortal": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"phone": "<string>",
"role": "primary",
"roleDescription": "<string>",
"isPrimary": true,
"canAccessPortal": true,
"communicationPreferences": {
"invoices": true,
"estimates": true,
"scheduling": true,
"carUpdates": true,
"contracts": true,
"socialEvents": true,
"marketing": true
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}Contacts
Create contact
Requires write:contacts.
POST
/
api
/
v1
/
contacts
Create contact
curl --request POST \
--url https://www.carstoragesoftware.com/api/v1/contacts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"firstName": "<string>",
"lastName": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"roleDescription": "<string>",
"isPrimary": true,
"canAccessPortal": true
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
customerId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
firstName: '<string>',
lastName: '<string>',
email: 'jsmith@example.com',
phone: '<string>',
roleDescription: '<string>',
isPrimary: true,
canAccessPortal: true
})
};
fetch('https://www.carstoragesoftware.com/api/v1/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.carstoragesoftware.com/api/v1/contacts"
payload = {
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"firstName": "<string>",
"lastName": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"roleDescription": "<string>",
"isPrimary": True,
"canAccessPortal": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"phone": "<string>",
"role": "primary",
"roleDescription": "<string>",
"isPrimary": true,
"canAccessPortal": true,
"communicationPreferences": {
"invoices": true,
"estimates": true,
"scheduling": true,
"carUpdates": true,
"contracts": true,
"socialEvents": true,
"marketing": true
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}Authorizations
Team API key from Settings → Integrations. Use Authorization: Bearer <key> or x-api-key.
Body
application/json
Minimum string length:
1Minimum string length:
1Available options:
primary, spouse, child, son, daughter, family_member, bookkeeper, vehicle_handler, family_office, accountant, assistant, collection_manager, other Show child attributes
Show child attributes
Response
Created.
Show child attributes
Show child attributes
Was this page helpful?
⌘I